Subject: [CODE4LIB] Seeking volunteers and input for moving image work project

From: "McGrath, Kelley C." <[email-masked]>
Date: Tue, 6 Oct 2009 09:52:28 -0400

A couple people have suggested that I try posting this here. I have put my original request for help below, but just to elaborate a bit, at this point what I am primarily looking for are people who are interested in participating in a discussion to help flesh out a grant proposal even if they're not actually interested in working on the grant project. 

I'm particularly interested in finding people with a technology background to help me break down the broad steps I've outlined into smaller steps, estimate the amount of time each will take, identify the skills necessary for each of the tasks, and ideally have some idea or know where to find out how much it would cost to pay someone to perform these tasks. It would also be helpful to have at least some preliminary recommendations on tools.

The topics for discussion include the processes of extracting info from MARC bibs and converting it into some new format for work and limiter records, setting up the new format and database structure, creating an end-user, facet-based search interface, setting up interfaces for internal data maintenance, and doing usability work on the both the end-user and internal interfaces.

The overview is also available in HTML at http://kmcgrath.iweb.bsu.edu/MIWgrant.htm.

Since this announcement is a bit delayed if you could let me know by Friday, October 16 if you're interested, that would be great.

Kelley

-----Original Message-----
OLAC (Online Audiovisual Catalogers) has been investigating ideas for improving access to moving image works for some time (see http://www.olacinc.org/drupal/?q=node/27). I am hoping to apply for a grant for a demonstration project. I have put together an overview of what I hope can be done at http://ilocker.bsu.edu/users/kmcgrath/world_shared.

The basic goals I see for this experiment at this point are:

1. Import and convert current MARC manifestation-level bibliographic records into FRBR-based records, including both work/primary expression records (similar to an IMDb record) and records with expression- and manifestation-level limiters linked to items in libraries or archives to help users find the particular item(s) that meet their needs.

2. Create an end-user interface for searching, browsing, and obtaining moving image materials that leverages facets based on structured data to improve browsing and navigation.

3. Develop a back-end maintenance module that supports adding new records, editing and merging existing records, and deleting records in single record and batch mode.

I am looking for people who would be interested in brainstorming and fleshing out the details of a grant proposal and possibly being involved in an eventual grant.

If you would like to participate in this discussion, please send me an email at [email-masked] by Monday, October 12, stating why you're interested in this project and what you think you could contribute. We need all sorts of perspectives, including cataloging/metadata, database design, web design, user needs assessment, user interface construction, budgeting, etc., etc. Or even if you're just interested in taking part in the discussion.

Thank you.

Kelley

--------------------------------------------
Kelley McGrath
Cataloging and Metadata Services Librarian (A/V)
Bracken Library
Ball State University
Muncie, IN 47306
(765) 285-3350
[email-masked]